## keepassx 0.4.3+dfsg

=== share/CMakeLists.txt ===
# CMake is still experimental, use qmake instead

INSTALL(DIRECTORY keepassx/i18n keepassx/icons
	DESTINATION ${SHAREDIR}
	PATTERN *.qm EXCLUDE
	PATTERN *~ EXCLUDE
	PATTERN .svn EXCLUDE
)

INSTALL(FILES keepassx/license.html DESTINATION ${SHAREDIR})

IF (NOT MINGW AND NOT APPLE)
	INSTALL(DIRECTORY applications
		DESTINATION ${SHAREDIR_APP}
		PATTERN *~ EXCLUDE
		PATTERN .svn EXCLUDE
	)
	INSTALL(DIRECTORY mime
		DESTINATION ${SHAREDIR_APP}
		PATTERN *~ EXCLUDE
		PATTERN .svn EXCLUDE
	)
	INSTALL(DIRECTORY mimelnk
		DESTINATION ${SHAREDIR_APP}
		PATTERN *~ EXCLUDE
		PATTERN .svn EXCLUDE
	)
	INSTALL(DIRECTORY pixmaps
		DESTINATION ${SHAREDIR_APP}
		PATTERN *~ EXCLUDE
		PATTERN .svn EXCLUDE
	)
ENDIF (NOT MINGW AND NOT APPLE)

=== src/CMakeLists.txt ===
# CMake is still experimental, use qmake instead

SET(keepassx_HEADERS
	main.h
	mainwindow.h
	Database.h
	Kdb3Database.h
	lib/EntryView.h
	lib/FileDialogs.h
	lib/GroupView.h
	lib/ShortcutWidget.h
	lib/UrlLabel.h
	lib/WaitAnimationWidget.h
	dialogs/AboutDlg.h
	dialogs/AddBookmarkDlg.h
	dialogs/CalendarDlg.h
	dialogs/CollectEntropyDlg.h
	dialogs/CustomizeDetailViewDlg.h
	dialogs/DatabaseSettingsDlg.h
	dialogs/EditEntryDlg.h
	dialogs/EditGroupDlg.h
	dialogs/ExpiredEntriesDlg.h
	dialogs/HelpDlg.h
	dialogs/ManageBookmarksDlg.h
	dialogs/PasswordDlg.h
	dialogs/PasswordGenDlg.h
	dialogs/SearchDlg.h
	dialogs/SelectIconDlg.h
	dialogs/SettingsDlg.h
	dialogs/SimplePasswordDlg.h
#	dialogs/TrashCanDlg.h
	import/Import.h
#	import/Import_GnuKeyRing.h
	import/Import_KeePassX_Xml.h
	import/Import_KWalletXml.h
	import/Import_PwManager.h
	export/Export.h
	export/Export_KeePassX_Xml.h
	export/Export_Txt.h
)

SET(keepassx_SOURCES
	main.cpp
	mainwindow.cpp
	KpxConfig.cpp
	Database.cpp
	Kdb3Database.cpp
	lib/bookmarks.cpp
	lib/EntryView.cpp
	lib/FileDialogs.cpp
	lib/GroupView.cpp
	lib/random.cpp
	lib/SecString.cpp
	lib/ShortcutWidget.cpp
	lib/tools.cpp
	lib/UrlLabel.cpp
	lib/WaitAnimationWidget.cpp
	crypto/aescrypt.c
	crypto/aeskey.c
	crypto/aes_modes.c
	crypto/aestab.c
	crypto/arcfour.cpp
	crypto/blowfish.cpp
	crypto/sha256.cpp
	crypto/twoclass.cpp
	crypto/twofish.cpp
	crypto/yarrow.cpp
	apg/convert.c
	apg/pronpass.c
	apg/randpass.c
	dialogs/AboutDlg.cpp
	dialogs/AddBookmarkDlg.cpp
	dialogs/CalendarDlg.cpp
	dialogs/CollectEntropyDlg.cpp
	dialogs/CustomizeDetailViewDlg.cpp
	dialogs/DatabaseSettingsDlg.cpp
	dialogs/EditEntryDlg.cpp
	dialogs/EditGroupDlg.cpp
	dialogs/ExpiredEntriesDlg.cpp
	dialogs/HelpDlg.cpp
	dialogs/ManageBookmarksDlg.cpp
	dialogs/PasswordDlg.cpp
	dialogs/PasswordGenDlg.cpp
	dialogs/SearchDlg.cpp
	dialogs/SelectIconDlg.cpp
	dialogs/SettingsDlg.cpp
	dialogs/SimplePasswordDlg.cpp
#	dialogs/TrashCanDlg.cpp
	import/Import.cpp
#	import/Import_GnuKeyRing.cpp
	import/Import_KeePassX_Xml.cpp
	import/Import_KWalletXml.cpp
	import/Import_PwManager.cpp
	export/Export.cpp
	export/Export_KeePassX_Xml.cpp
	export/Export_Txt.cpp
)

SET(keepassx_FORMS
	forms/AboutDlg.ui
	forms/AddBookmarkDlg.ui
	forms/CalendarDlg.ui
	forms/CollectEntropyDlg.ui
	forms/CustomizeDetailViewDlg.ui
	forms/DatabaseSettingsDlg.ui
	forms/EditEntryDlg.ui
	forms/EditGroupDlg.ui
	forms/ExpiredEntriesDlg.ui
	forms/HelpDlg.ui
	forms/MainWindow.ui
	forms/ManageBookmarksDlg.ui
	forms/PasswordDlg.ui
	forms/PasswordGenDlg.ui
	forms/SearchDlg.ui
	forms/SelectIconDlg.ui
	forms/SettingsDlg.ui
	forms/SimplePasswordDlg.ui
#	forms/TrashCanDlg.ui
	forms/WorkspaceLockedWidget.ui
)

SET(keepassx_RESOURCES res/resources.qrc)

set(keepassx_TRANSLATIONS
#	translations/keepassx-cs_CZ.ts
	translations/keepassx-de_DE.ts
	translations/keepassx-es_ES.ts
	translations/keepassx-fi_FI.ts
	translations/keepassx-fr_FR.ts
	translations/keepassx-gl_ES.ts
	translations/keepassx-hu_HU.ts
	translations/keepassx-it_IT.ts
	translations/keepassx-ja_JP.ts
	translations/keepassx-nb_NO.ts
	translations/keepassx-nl_NL.ts
	translations/keepassx-pl_PL.ts
	translations/keepassx-ru_RU.ts
	translations/keepassx-tr_TR.ts
	translations/keepassx-uk_UA.ts
	translations/keepassx-zh_CN.ts
	translations/qt_fi.ts
	translations/qt_hu.ts
	translations/qt_it.ts
	translations/qt_nl.ts
	translations/qt_tr.ts
)

#IF( MINGW )
#	SET(keepassx_SOURCES ${keepassx_SOURCES} main_win32.cpp)
#ELSEIF( APPLE )
#	SET(keepassx_SOURCES ${keepassx_SOURCES} main_macx.cpp)
#ELSE( MINGW )
#	SET(keepassx_SOURCES ${keepassx_SOURCES} main_unix.cpp)
#ENDIF( MINGW )

IF( AUTOTYPE )
	SET(keepassx_HEADERS ${keepassx_HEADERS}
		Application_X11.h dialogs/AutoTypeDlg.h lib/AutoTypeTreeWidget.h dialogs/TargetWindowDlg.h)
	SET(keepassx_SOURCES ${keepassx_SOURCES}
		lib/HelperX11.cpp lib/AutoTypeX11.cpp Application_X11.cpp lib/AutoTypeGlobalX11.cpp
		dialogs/AutoTypeDlg.cpp lib/AutoTypeTreeWidget.cpp dialogs/TargetWindowDlg.cpp)
	SET(keepassx_FORMS ${keepassx_FORMS}
		forms/AutoTypeDlg.ui forms/TargetWindowDlg.ui)
ENDIF( AUTOTYPE )

IF( NOT PRECOMPILED_HEADER )
	ADD_DEFINITIONS(-include keepassx.h)
ENDIF( NOT PRECOMPILED_HEADER )

INCLUDE_DIRECTORIES(. lib crypto plugins/interfaces export import dialogs ${CMAKE_CURRENT_BINARY_DIR})

QT4_ADD_RESOURCES( keepassx_RESOURCES_SOURCES ${keepassx_RESOURCES} )
QT4_WRAP_UI( keepassx_FORMS_HEADERS ${keepassx_FORMS} )
QT4_WRAP_CPP( keepassx_HEADERS_MOC ${keepassx_HEADERS} )

ADD_EXECUTABLE( ${PROGNAME} WIN32 MACOSX_BUNDLE ${keepassx_SOURCES} ${keepassx_HEADERS_MOC}
	${keepassx_RESOURCES_SOURCES} ${keepassx_FORMS_HEADERS} ${keepassx_RCS} )
IF( PRECOMPILED_HEADER )
	ADD_PRECOMPILED_HEADER(${PROGNAME} keepassx.h)
ENDIF( PRECOMPILED_HEADER )

TARGET_LINK_LIBRARIES(${PROGNAME} ${QT_LIBRARIES} ${AUTOTYPE_LIBRARIES})

QT4_ADD_TRANSLATION(QM_FILES ${keepassx_TRANSLATIONS})
ADD_CUSTOM_TARGET(translations ALL DEPENDS ${QM_FILES})

INSTALL(TARGETS ${PROGNAME} DESTINATION ${BINDIR})
INSTALL(FILES ${QM_FILES} DESTINATION ${SHAREDIR}/i18n)

## keepassx 0.4.3

=== debian/changelog ===
keepassx (0.4.3-1) unstable; urgency=low

  * New upstream release. (Closes: #572614)
    - Fixes FTBFS with binutils-gold. (Closes: #554982)
  * Switch to new source format 3.0 (quilt).
  * Bump Standards-Version to 3.8.4, no changes needed.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 07 Mar 2010 00:42:51 +0100

keepassx (0.4.1-1) unstable; urgency=low

  * New upstream release. (LP: #431798)
  * Bump debhelper to dh 7.
    - increase debian/compat to 7.
    - simplify debian/rules.
  * Bump Standards-Version to 3.8.3, no changes needed.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 17 Sep 2009 15:21:00 +0200

keepassx (0.4.0-1) unstable; urgency=low

  * New upstream release. (Closes: #522488)
  * adapt debian/watch file to new upstream naming style.

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 04 Apr 2009 11:39:24 +0200

keepassx (0.3.4-2) unstable; urgency=low

  [ Felix Geyer ]
  * introduce quilt
  * Bug fix: "Keepassx crashes on save when password entry changes".
    LP: #311359
    - add debian/patches/svn281_fix_buffer_too_small.patch
    - build-depend on quilt

  [ Reinhard Tartler ]
  * target unstable
  * convert all format patches to quilt
  * add a README.source file documenting quilt usage
  * bump Standards-Version to 3.8.0

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 03 Apr 2009 16:21:55 +0200

keepassx (0.3.4-1) experimental; urgency=low

  * new upstream release. LP: #296014

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 09 Nov 2008 21:59:02 +0100

keepassx (0.3.3-1) experimental; urgency=low

  * new upstream release. Closes: #492423 
  * add Vcs-Bzr header.
  * build and install translations. Closes: #475073
  * add galician translation. Thanks to damufo <damufo@gmail.com> 
    Closes: #499097
  * install files using dh_install instead of 'cp'
  * no longer install our own .desktop file, the one provided by upstream
    is just fine, and rename manpage keepass.1 -> keepassx.1. Closes: #474455
  * remove useless piece of documentation. Closes: #475126
  * tighten dependency on libqt4, drop libpng3-dev dependency. Closes: #474387

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 02 Oct 2008 10:34:53 +0200

keepassx (0.3.3-0ubuntu1) intrepid; urgency=low

  * New upstream release (LP: #250299). 

 -- Nick Ellery <nick.ellery@ubuntu.com>  Fri, 26 Sep 2008 16:48:37 -0700

keepassx (0.3.1-1) unstable; urgency=low

  * Bug fix: "keepassx: Please use better watch file expression", thanks
    to Roberto C. Sanchez (Closes: #474335).
  * Bug fix: "New upstream version 0.3.0a", thanks to Felix Geyer (Closes:
    #469391).
  * minor cleanups in debian/rules for new upstream release.
  * don't ignore make clean in clean target of debian rules. Thanks to
    lintian.
  * Bug fix: "Typo in keepass.desktop", thanks to Miguel Angel Ruiz
    Manzano (Closes: #462103).
  * Bug fix: "keepassx: not handling nostrip build option (policy 10.1)",
    thanks to Julien Danjou (Closes: #437253).
  * Bug fix: "keepassx: Fails to check if Passwort Repet. is correct for
    new database", thanks to Benjamin Mesing (Closes: #467651). New
    upstream release has totally reworked the new database dialog.
  * update reference to GPL-2 in debian/copyright.
  * Bump standard version to 3.7.2
  * use Homepage header in debian/control
  * The new upstream release has renamed the binary from keepass to
    keepassx to match the project name. The desktopfile has been therfore
    adapted.
  * and of course, ack NMU, thanks Moritz (Closes: #455644)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 05 Apr 2008 12:09:14 +0200

keepassx (0.2.2-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix compatibility with GCC 4.3 (Closes: #455644)

 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 18 Mar 2008 00:42:18 +0100

keepassx (0.2.2-3) unstable; urgency=low

  * add watch file
  * Remove link to handbook from the help menu, There is no handbook in
    the source. thanks to Don (Closes: #434979).
  * Bug fix: "keepassx: "copy to clipboard" functions do not work in other
    environments than kde", thanks to Gabor Burjan (Closes: #414171).

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 28 Jul 2007 15:49:26 +0200

keepassx (0.2.2-2) unstable; urgency=low

  * Upload to unstable
  * Fix typo in package description. Thanks to Stefan Fritsch!
  * Translate desktop file

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 10 Feb 2007 17:15:55 +0100

keepassx (0.2.2-1) experimental; urgency=low

  * cleanups to debian/rules
  * upload to debian/experimental for now (Closes: #405896)
  * small changes to description
  * remove libstdc++6-4.0-dev from build-depends

 -- Reinhard Tartler <siretart@tauware.de>  Mon,  8 Jan 2007 17:59:13 +0100

keepassx (0.2.2-0ubuntu1) edgy; urgency=low

  * Initial release

 -- David Valot <ptitdav69@gmail.com>  Wed,  6 Sep 2006 21:07:02 +0200

=== debian/control ===
Source: keepassx
Section: utils
Priority: optional
Maintainer: Reinhard Tartler <siretart@tauware.de>
Uploaders: David Valot <ptitdav69@gmail.com>,
           Felix Geyer <debfx-pkg@fobos.de>
Build-Depends: debhelper (>= 7.0.50~),
               libqt4-dev (>= 4.3.0),
               libxtst-dev
Standards-Version: 3.8.4
Homepage: http://www.keepassx.org/
Vcs-Bzr: https://code.launchpad.net/~keepassx/keepassx/debian

Package: keepassx
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Cross Platform Password Manager
 KeePassX is a free/open-source password manager or safe which helps you
 to manage your passwords in a secure way. You can put all your
 passwords in one database, which is locked with one master key or a
 key-disk. So you only have to remember one single master password or
 insert the key-disk to unlock the whole database. The databases are
 encrypted using the algorithms AES or Twofish.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_configure:
	qmake-qt4 -makefile -nocache QMAKE_STRIP=: PREFIX=/usr \
		QMAKE_CXXFLAGS_RELEASE="$(CXXFLAGS)" \
		QMAKE_CFLAGS_RELEASE="$(CFLAGS)" \
		QMAKE_LFLAGS_RELEASE="$(LDFLAGS)"

override_dh_auto_install:
	dh_auto_install -- INSTALL_ROOT="$(CURDIR)/debian/keepassx"

override_dh_auto_clean:
	dh_auto_clean
	rm -rf bin build

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3
http://sf.net/keepassx/ keepassx-(\d[\d_.]+)\.tar\.gz

## keepassx 0.4.3+dfsg

=== debian/changelog ===
keepassx (0.4.3+dfsg-0.1ubuntu1) raring; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Build-depend on libmagickcore-extra instead of librsvg2-bin so
      imagemagick correctly renders svg images. (LP: #979340)
    - Add check_systray_available.diff:
      - Check if the systray is available before using it.
      - Disable the tray icon when running on Unity. (LP: #842224)

 -- Felix Geyer <debfx@ubuntu.com>  Tue, 02 Apr 2013 17:44:07 +0200

keepassx (0.4.3+dfsg-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * Use repackaged upstream tarball by Felix Geyer, which replaces icons of
    unknown origin (clientic.png text_block.png text_bold.png text_center.png
    text_italic.png text_left.png text_right.png text_under.png) and adds full
    text of associated licenses (LICENSE.LGPL-2.1 LICENSE.LGPL-3).
  * Use patch by Felix Geyer to update debian/copyright with the origin and
    license of png files, and update README.source accordingly.
  * Additionally, update debian/copyright to document the origin and copyright
    of go-*.png and help_about.png icons (project Oxygen, and license CC-BY-SA
    3.0 or LGPL respectively).
  * The above three items close #698832
  * Update debian/watch for version mangling.
  * Setting high urgency due to RC bug.

 -- Serafeim Zanikolas <sez@debian.org>  Wed, 20 Mar 2013 14:04:39 +0100

keepassx (0.4.3-2ubuntu1) raring; urgency=low

  * Merge from Debian unstable. (LP: #1094568) Remaining changes:
    - Add check_systray_available.diff
    - Disable the tray icon when running on Unity. (LP: #842224)

 -- Alessandro Losavio <alessandro.losavio@yahoo.com>  Sun, 30 Dec 2012 09:39:20 +0000

keepassx (0.4.3-2) unstable; urgency=low

  * Fix FTBFS with gcc 4.7. (Closes: #667224)
    - Add fix_ftbfs_gcc47.diff
  * Bump Standards-Version to 3.9.3, no changes needed.
  * Enable parallel building.
  * Switch to debhelper compat level v9.
    - Exports build flags.
  * Use the qmake_qt4 dh buildsystem.
  * Install application icon in various resolutions.
    - Add debian/keepassx.svg
    - Build-depend on imagemagick and librsvg2-bin.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 05 Apr 2012 13:10:22 +0200

keepassx (0.4.3-1ubuntu3) quantal; urgency=low

  * import fix_ftbfs_gcc47.diff from debian

 -- Julian Taylor <jtaylor@ubuntu.com>  Fri, 14 Sep 2012 20:00:08 +0200

keepassx (0.4.3-1ubuntu2) precise; urgency=low

  * Build-depend on libmagickcore-extra instead of librsvg2-bin so imagemagick
    correctly renders svg images. (LP: #979340)
  * Disable the tray icon when running on Unity. (LP: #842224)

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 16 Apr 2012 12:14:22 +0200

keepassx (0.4.3-1ubuntu1) natty; urgency=low

  * Install application icon in various resolutions. (LP: #501966)
    - Add debian/keepassx.svg
    - Build-depend on imagemagick and librsvg2-bin.
  * Check if the systray is available before using it.
    - Add check_systray_available.diff

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 23 Apr 2011 00:31:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: keepassx
 Section: utils
 Priority: optional
-Maintainer: Reinhard Tartler <siretart@tauware.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Reinhard Tartler <siretart@tauware.de>
 Uploaders: David Valot <ptitdav69@gmail.com>,
            Felix Geyer <debfx-pkg@fobos.de>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 9),
                libqt4-dev (>= 4.3.0),
-               libxtst-dev
-Standards-Version: 3.8.4
+               libxtst-dev,
+               imagemagick,
+               libmagickcore-extra
+Standards-Version: 3.9.3
 Homepage: http://www.keepassx.org/
 Vcs-Bzr: https://code.launchpad.net/~keepassx/keepassx/debian

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3
opts=dversionmangle=s/\+dfsg\d?$// \
    http://sf.net/keepassx/ keepassx-(\d[\d_.]+)\.tar\.gz

## keepassx 0.4.3-1

=== debian/changelog ===
keepassx (0.4.1) unstable; urgency=low

  * Bumped to 0.4.1

 -- Timothy Redaelli <timothy@redaelli.eu>  Mon, 14 Dec 2009 18:13:01 +0100

keepassx (0.2.2-3osso) unstable; urgency=low

  * Add Maximize button support - Mark Bergman patch (  bergman@merctech.com ) 
  * Set Large Fonts -  Mark Bergman patch (  bergman@merctech.com )
  * Correct some package Bugs

 -- Antonio Aloisio <gnuton@gnuton.org>  Tue, 11 Mar 2008 20:20:13 +0100

keepassx (0.2.2-2osso) unstable; urgency=low

  * Imported to maemo Qt4 repository 

 -- Antonio Aloisio <gnuton@gnuton.org>  Fri, 28 Dic 2007 00:07:08 +0100

=== debian/control ===
Source: keepassx
Section: user/utilities
Priority: optional
Maintainer: Timothy Redaelli <timothy@redaelli.eu>
Build-Depends: debhelper (>= 5.0.0), libqt4-dev, libpng12-dev, libxtst-dev, libxi-dev
Standards-Version: 3.7.2

Package: keepassx
Architecture: any
Depends: ${shlibs:Depends}
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c6QAAAAZiS0dE
 AP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9gDDA05Fs1HWjIAAAeM
 SURBVEjHpZZ7UNTXFcc/v99vH6z7QFAIisACglHBR7RaEJKIL6Cah21MWs1k0rGOzUzaibaJ
 aZwKjp1KTKrtjNE/rLFWbZ4jplF81Nck9Q2igIOwiyIIuyIsu8uyr9/+bv9QHOqk05n2zJw/
 7tz7vZ85c84998D/Zr8G/HFxRpE6LlXk5U8WdrtdWKwWAQjgGpDC/2FFwGdmi1mUlZeJj/fs
 FpdrL4tWR4u43nBdHPqqWqx4dYUYnTRaSJLUB6wbEipAOZAD7ATeBt4AxgIdQN8wiAXYYbVZ
 l7zzztu8teYtdDZocl+ioes8PYG7jBubzg+fW4Y9M4ObzTdNfX19xUAj0CyZTCYxY+YMbDYb
 sizh9Xqpq7tKYCBwG1gItD4E/clsMb+5cuVKVv18JWdb/s4N73nCsh9NikFMwhCzMHXU08zP
 W8o/Tpyk4reVuLpdtcBiJS09rWL79u2sXr2aF19cSnlZGQOBARytrSOjUbVcCHEMSJEkafP0
 p6ZZN1Rs4LzzOHXe48QMISRZQEwmIToOKarD2deITotj7uxS2u/cpqnpxlihiagsSaA36Glt
 b+H01VP4wj7ee289K15dgcFgyAYOA5sMRsOYZ+fORZOjXOs9i9BHEWgQk5gYV8ia8irWlm7B
 3Gnn7NUa+gJuSkvLsNlsAO/qNE0QCoY4c/0kR5zVpFvtrClbx7p17xIMBfni8y+zfV5fttVq
 JS8vj9auZoJyP5ImISsgqXqyUvIZnZAEQE5qHkeuHsDZ1czEiflkZmbi6fMga5qGoihkpWRj
 NVi4G27nDzW/p919i8qKjbz8yjLiTHGYTCYSExPoDbgIRgRqTEOLQTAU5NsrZ+js7OROxx1O
 nzxNKBbAF/JgHmEmzhT3oOqiarTCbs9g8YIlaCFBs6uZvlgP7d1OJqXmU/J0CZFoBLfbxYKF
 CwhJAzj9jSBryICiB3ePi2NfnKH60EFcwVtkFozmydTppFjTqa6u5m7nXZRoNFrR4nCQkZ7B
 ouIyCMk4ex3cC7tp63QyPWsGc4vnkp6ezoynZnLf28v1nosISSAelqNxpIQYFUB5Isi4WRZs
 8TYK0krxewb55MDf6Pf0owBmv883u6GxQc7OzmbxvMUMeoM0u27SE3XR1d1FfsZUigufoT/g
 4eCVA/SpbgAkGSRJRpZljBYFc6IRvV6H3TiFObmLqPm6hiOHa1BVFQU4Adj6+/tntbW1yZMm
 Taa8uJyAJ8CtPgddg120d7UTr4vnq9rPueo5j+BBflRVICkCIQQIgSRkRsZSWZL/GoPeENu2
 bePOnY5HnYGHMOu9e/fmNDRcp6CwkIUFC+ns6OaWx4E7eJfLLRdp8zuQ9DEkTWKCeTpjjHZ8
 3iChSBhDdAS5ppm8MvsNLPqRbK6q4tTJU8RisQfRP9bLKmRZ3jBr9vfYsXMnY8aMYeuXH3Li
 9hFkvUCnAxkdJWkLWVX6JqY4E5FIhGA4SJzRhE5RuHTpEtu2/ZF/fvMt4XBk6N6zusdAbkVR
 sFisxBmNRNUoETWKGtOQZA2BTJI8ipeLVmDQG9m1axc9PfcxW0YQHAzR0NhA3ZU6eu/3omna
 0J3HgKXKMMgqvV7/4ZyiOYb3q6pISk5m25dbOdF2koimIskSEhJRLUq8MpIpWVOxWqzs27eP
 Tw58yrlz53C0OAgEAg9y9sC+BpYD/iHQSr1ev7VkXol5Y2UlafZ0dtfs5lDTV8RUFbvVToYt
 A7NkpS/qwdnTAiGZwmmF5OTk0NrqwO1yo6rqEOA6cBpYBXiGiuE1vV6/Y07RHFNlZSXjc8ez
 u2Y3n9Z9RpgQKSNSWP/Ce7zyzI8pfvJpXF0uWr1ObroakSIyJd+fR25uLrV1tfT29iLJ0jlZ
 lucLIfYDwUf/kaLI9UVFxbrNVZvJGp/F/qP72V97gJAUQpIk4vXxFGQXcLj6MAnxCZQWltHc
 1szdgQ4c926ihTQWFC4kJyeHG0038Pl8adFI1A1cGJ58ZdToxIqq96uYMmUKe4/tZe/lvxIU
 QeJ1NqYlT2Va6jQmp03i80+/4ODBgxQWFDJ/xnwc7Q46Bjto7m4m7Iuy5NklpKaO5cyZswQG
 AunAIcD/CJSQmFixbNkyzjWf5+OLexiMDZJsSGL9c+v52eJVzJwwAwmZmpojfHP2G+qv1VNe
 Vk5RXjEtt1rpDnXT5rmJCEg8P/8FnE4nTY1NSZqmLXr4xXgBZCEEsViMbk83QhWkm9NYW76W
 6bnT+WDLFn700kss/8lyLpy7gKZp1NfV8+663xAOhPnFD37JxPjJ+ANham9fJhwJo9frh4KY
 /NAB0ElIKDodZbPKmJKZT6J1FBPsE9jzlz189NEO/D7/8HJF0zROnTzFRoOB323axNrnf0XD
 rQaeiE/GaIxDjanfOdXo/AN+Thw/QXZ2NkjQI+5ztPooe/fuxef1DZ0LALeHFqqqjj5+7PgT
 iiLz+us/JXNkFrIkc62+nq6u7uGP9d9MGAwGYTQahdFoFAajQSiKMjSfCSAErHxMkwd0KYoi
 EhISRFJykkhOThZJyUnCYDQM15YPF309bOO7/LX/MOPlAX/+L9pHoH8BckZaKDsXE4QAAAAA
 SUVORK5CYII=
Description: Cross Platform Password Manager
 KeePassX is a free/open-source password manager or safe which helps you
 to manage your passwords in a secure way. You can put all your
 passwords in one database, which is locked with one master key or a
 key-disk. So you only have to remember one single master password or
 insert the key-disk to unlock the whole database. The databases are
 encrypted using the algorithms AES or Twofish.
 .
  Homepage: http://keepassx.sourceforge.net
  Keepass for maemo homepage: http://qt4.garage.maemo.org
XSBC-Bugtracker: http://sourceforge.net/tracker/?group_id=166631&atid=839779

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Include dpatch stuff.
# include /usr/share/dpatch/dpatch.make

CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: patch build-stamp
build-stamp: 
	dh_testdir
	#/opt/qt4-maemo5/bin/
	qmake-qt4 PREFIX=/usr QMAKE_CFLAGS_DEBUG="$(CFLAGS)" QMAKE_CXXFLAGS_DEBUG="$(CFLAGS)" DEBUG=1
	$(MAKE)
	touch build-stamp

clean: clean-patched unpatch
clean-patched:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) distclean
	rm -rf src/Makefile Makefile
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	make INSTALL_ROOT=$(CURDIR)/debian/keepassx install

binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs changelog
	dh_installdocs
	dh_installexamples
	dh_installman debian/keepass.1
	dh_desktop
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

patch: patch-stamp

patch-stamp:
	dpatch apply-all

unpatch:
	dpatch deapply-all
	rm -rf debian/patched

binary: binary-indep binary-arch
.PHONY: build build-stamp clean clean-patched install binary-indep binary-arch binary patch patch-stamp unpatch binary

## keepassx 0.4.4-1maemo

=== debian/changelog ===
keepassx (0.4.4-1maemo) unstable; urgency=low

  * Upgrade to 0.4.4
  * Changed prefix to /opt/usr
  * Added dpatch to build-depends

 -- Christian Weniger <less_to_space@web.de>  Wed, 31 Jan 2018 15:31:00 +0100

keepassx (0.4.3-3maemo) unstable; urgency=low

  * Disable menus to improve usability
  * Database creation is no longer possible
  * Group management is no longer possible
  * Autotype compilation switch turned off, feature does not work on Maemo5
  * Add scrollable viewports for edit-entry, password-generation and settings dialogs.

 -- Yves Martin <ymartin59@free.fr>  Sun, 23 Jun 2011 18:39:00 +0100

keepassx (0.4.3-1maemo) unstable; urgency=low

  * Upgrade to 0.4.3

 -- Yves Martin <ymartin59@free.fr>  Wed, 29 Dec 2010 19:35:00 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/utilities
 Priority: optional
 Maintainer: Timothy Redaelli <timothy@redaelli.eu>
-Build-Depends: debhelper (>= 5.0.0), libqt4-dev, libpng12-dev, libxtst-dev, libxi-dev
+Build-Depends: debhelper (>= 5.0.0), dpatch, libqt4-dev, libpng12-dev, libxtst-dev, libxi-dev
 Standards-Version: 3.7.2
 
 Package: keepassx
@@ -58,4 +58,3 @@
  .
   Homepage: http://keepassx.sourceforge.net
   Keepass for maemo homepage: http://qt4.garage.maemo.org
-XSBC-Bugtracker: http://sourceforge.net/tracker/?group_id=166631&atid=839779

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 build-stamp: 
 	dh_testdir
 	#/opt/qt4-maemo5/bin/
-	qmake-qt4 PREFIX=/usr QMAKE_CFLAGS_DEBUG="$(CFLAGS)" QMAKE_CXXFLAGS_DEBUG="$(CFLAGS)" DEBUG=1
+	qmake-qt4 PREFIX=/opt/usr QMAKE_CFLAGS_DEBUG="$(CFLAGS)" QMAKE_CXXFLAGS_DEBUG="$(CFLAGS)" DEBUG=1 AUTOTYPE=0
 	$(MAKE)
 	touch build-stamp
 
@@ -27,6 +27,7 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
+	qmake keepassx.pro
 	-$(MAKE) distclean
 	rm -rf src/Makefile Makefile
 	dh_clean

## keepassx 2.0.2

=== src/CMakeLists.txt ===
#  Copyright (C) 2010 Felix Geyer <debfx@fobos.de>
#
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 2 or (at your option)
#  version 3 of the License.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})

configure_file(config-keepassx.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-keepassx.h)

include(GetGitRevisionDescription)
get_git_head_revision(GIT_REFSPEC GIT_HEAD)
git_describe(GIT_DESCRIBE --long)

if (NOT GIT_HEAD OR NOT GIT_DESCRIBE)
    set(GIT_HEAD "")
    set(GIT_DESCRIBE "")
endif()

configure_file(version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/version.h @ONLY)

set(keepassx_SOURCES
    autotype/AutoType.cpp
    autotype/AutoTypeAction.cpp
    autotype/AutoTypePlatformPlugin.h
    autotype/AutoTypeSelectDialog.cpp
    autotype/AutoTypeSelectView.cpp
    autotype/ShortcutWidget.cpp
    autotype/WildcardMatcher.cpp
    autotype/WindowSelectComboBox.cpp
    autotype/test/AutoTypeTestInterface.h
    core/AutoTypeAssociations.cpp
    core/Config.cpp
    core/Database.cpp
    core/DatabaseIcons.cpp
    core/Endian.cpp
    core/Entry.cpp
    core/EntryAttachments.cpp
    core/EntryAttributes.cpp
    core/EntrySearcher.cpp
    core/FilePath.cpp
    core/Global.h
    core/Group.cpp
    core/InactivityTimer.cpp
    core/ListDeleter.h
    core/Metadata.cpp
    core/PasswordGenerator.cpp
    core/qlockfile.cpp
    core/qsavefile.cpp
    core/qsavefile_p.h
    core/SignalMultiplexer.cpp
    core/TimeDelta.cpp
    core/TimeInfo.cpp
    core/ToDbExporter.cpp
    core/Tools.cpp
    core/Translator.cpp
    core/Uuid.cpp
    core/qcommandlineoption.cpp
    core/qcommandlineparser.cpp
    crypto/Crypto.cpp
    crypto/CryptoHash.cpp
    crypto/Random.cpp
    crypto/SymmetricCipher.cpp
    crypto/SymmetricCipherBackend.h
    crypto/SymmetricCipherGcrypt.cpp
    format/CsvExporter.cpp
    format/KeePass1.h
    format/KeePass1Reader.cpp
    format/KeePass2.h
    format/KeePass2RandomStream.cpp
    format/KeePass2Reader.cpp
    format/KeePass2Repair.cpp
    format/KeePass2Writer.cpp
    format/KeePass2XmlReader.cpp
    format/KeePass2XmlWriter.cpp
    gui/AboutDialog.cpp
    gui/Application.cpp
    gui/ChangeMasterKeyWidget.cpp
    gui/Clipboard.cpp
    gui/DatabaseOpenWidget.cpp
    gui/DatabaseRepairWidget.cpp
    gui/DatabaseSettingsWidget.cpp
    gui/DatabaseTabWidget.cpp
    gui/DatabaseWidget.cpp
    gui/DatabaseWidgetStateSync.cpp
    gui/DialogyWidget.cpp
    gui/DragTabBar.cpp
    gui/EditWidget.cpp
    gui/EditWidgetIcons.cpp
    gui/EditWidgetProperties.cpp
    gui/FileDialog.cpp
    gui/IconModels.cpp
    gui/KeePass1OpenWidget.cpp
    gui/LineEdit.cpp
    gui/MainWindow.cpp
    gui/MessageBox.cpp
    gui/PasswordEdit.cpp
    gui/PasswordGeneratorWidget.cpp
    gui/PasswordComboBox.cpp
    gui/SettingsWidget.cpp
    gui/SortFilterHideProxyModel.cpp
    gui/UnlockDatabaseWidget.cpp
    gui/WelcomeWidget.cpp
    gui/entry/AutoTypeAssociationsModel.cpp
    gui/entry/EditEntryWidget.cpp
    gui/entry/EditEntryWidget_p.h
    gui/entry/EntryAttachmentsModel.cpp
    gui/entry/EntryAttributesModel.cpp
    gui/entry/EntryHistoryModel.cpp
    gui/entry/EntryModel.cpp
    gui/entry/EntryView.cpp
    gui/group/EditGroupWidget.cpp
    gui/group/GroupModel.cpp
    gui/group/GroupView.cpp
    keys/CompositeKey.cpp
    keys/CompositeKey_p.h
    keys/FileKey.cpp
    keys/Key.h
    keys/PasswordKey.cpp
    streams/HashedBlockStream.cpp
    streams/LayeredStream.cpp
    streams/qtiocompressor.cpp
    streams/StoreDataStream.cpp
    streams/SymmetricCipherStream.cpp
)

if(NOT GCRYPT_HAS_SALSA20)
  set(keepassx_SOURCES
      ${keepassx_SOURCES}
      crypto/salsa20/ecrypt-config.h
      crypto/salsa20/ecrypt-machine.h
      crypto/salsa20/ecrypt-portable.h
      crypto/salsa20/ecrypt-sync.h
      crypto/salsa20/salsa20.c
      crypto/SymmetricCipherSalsa20.cpp
  )
endif()

if(UNIX)
  set(keepassx_SOURCES
      ${keepassx_SOURCES}
      core/qlockfile_unix.cpp
  )
elseif(MINGW)
  set(keepassx_SOURCES
      ${keepassx_SOURCES}
      core/qlockfile_win.cpp
  )
endif()

set(keepassx_SOURCES_MAINEXE
    main.cpp
)

set(keepassx_MOC
    autotype/AutoType.h
    autotype/AutoTypeSelectDialog.h
    autotype/AutoTypeSelectView.h
    autotype/ShortcutWidget.h
    autotype/WindowSelectComboBox.h
    core/AutoTypeAssociations.h
    core/Config.h
    core/Database.h
    core/Entry.h
    core/EntryAttachments.h
    core/EntryAttributes.h
    core/Group.h
    core/InactivityTimer.h
    core/Metadata.h
    core/qsavefile.h
    gui/AboutDialog.h
    gui/Application.h
    gui/ChangeMasterKeyWidget.h
    gui/Clipboard.h
    gui/DatabaseOpenWidget.h
    gui/DatabaseRepairWidget.h
    gui/DatabaseSettingsWidget.h
    gui/DatabaseTabWidget.h
    gui/DatabaseWidget.h
    gui/DatabaseWidgetStateSync.h
    gui/DialogyWidget.h
    gui/DragTabBar.h
    gui/EditWidget.h
    gui/EditWidgetIcons.h
    gui/EditWidgetProperties.h
    gui/IconModels.h
    gui/KeePass1OpenWidget.h
    gui/LineEdit.h
    gui/MainWindow.h
    gui/PasswordEdit.h
    gui/PasswordGeneratorWidget.h
    gui/PasswordComboBox.h
    gui/SettingsWidget.h
    gui/SortFilterHideProxyModel.h
    gui/UnlockDatabaseWidget.h
    gui/WelcomeWidget.h
    gui/entry/AutoTypeAssociationsModel.h
    gui/entry/EditEntryWidget.h
    gui/entry/EntryAttachmentsModel.h
    gui/entry/EntryAttributesModel.h
    gui/entry/EntryHistoryModel.h
    gui/entry/EntryModel.h
    gui/entry/EntryView.h
    gui/group/EditGroupWidget.h
    gui/group/GroupModel.h
    gui/group/GroupView.h
    keys/CompositeKey_p.h
    streams/HashedBlockStream.h
    streams/LayeredStream.h
    streams/qtiocompressor.h
    streams/StoreDataStream.h
    streams/SymmetricCipherStream.h
)

set(keepassx_FORMS
    gui/AboutDialog.ui
    gui/ChangeMasterKeyWidget.ui
    gui/DatabaseOpenWidget.ui
    gui/DatabaseSettingsWidget.ui
    gui/EditWidget.ui
    gui/EditWidgetIcons.ui
    gui/EditWidgetProperties.ui
    gui/MainWindow.ui
    gui/PasswordGeneratorWidget.ui
    gui/SearchWidget.ui
    gui/SettingsWidgetGeneral.ui
    gui/SettingsWidgetSecurity.ui
    gui/WelcomeWidget.ui
    gui/entry/EditEntryWidgetAdvanced.ui
    gui/entry/EditEntryWidgetAutoType.ui
    gui/entry/EditEntryWidgetHistory.ui
    gui/entry/EditEntryWidgetMain.ui
    gui/group/EditGroupWidgetMain.ui
)

if(MINGW)
  set(keepassx_SOURCES_MAINEXE
      ${keepassx_SOURCES_MAINEXE}
      ${CMAKE_SOURCE_DIR}/share/windows/icon.rc)
endif()

qt4_wrap_ui(keepassx_SOURCES ${keepassx_FORMS})
qt4_wrap_cpp(keepassx_SOURCES ${keepassx_MOC})

add_library(keepassx_core STATIC ${keepassx_SOURCES})
set_target_properties(keepassx_core PROPERTIES COMPILE_DEFINITIONS KEEPASSX_BUILDING_CORE)

add_executable(${PROGNAME} WIN32 MACOSX_BUNDLE ${keepassx_SOURCES_MAINEXE})
target_link_libraries(${PROGNAME}
                      keepassx_core
                      ${QT_QTCORE_LIBRARY}
                      ${QT_QTGUI_LIBRARY}
                      ${GCRYPT_LIBRARIES}
                      ${ZLIB_LIBRARIES})

set_target_properties(${PROGNAME} PROPERTIES ENABLE_EXPORTS ON)

if(APPLE)
  configure_file(${CMAKE_SOURCE_DIR}/share/macosx/Info.plist.cmake ${CMAKE_CURRENT_BINARY_DIR}/Info.plist)
  set_target_properties(${PROGNAME} PROPERTIES
                        MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_BINARY_DIR}/Info.plist)
endif()

install(TARGETS ${PROGNAME}
        BUNDLE DESTINATION . COMPONENT Runtime
        RUNTIME DESTINATION ${BIN_INSTALL_DIR} COMPONENT Runtime)

add_subdirectory(autotype)

if(APPLE AND NOT (${CMAKE_VERSION} VERSION_LESS 2.8.8))
  if(QT_MAC_USE_COCOA AND EXISTS "${QT_LIBRARY_DIR}/Resources/qt_menu.nib")
    install(DIRECTORY "${QT_LIBRARY_DIR}/Resources/qt_menu.nib"
            DESTINATION "${DATA_INSTALL_DIR}")
  endif()

  set(CPACK_GENERATOR "DragNDrop")
  set(CPACK_DMG_FORMAT "UDBZ")
  set(CPACK_DMG_VOLUME_NAME "${PROGNAME}")
  set(CPACK_SYSTEM_NAME "OSX")
  set(CPACK_STRIP_FILES ON)
  set(CPACK_PACKAGE_FILE_NAME "${PROGNAME}-${KEEPASSX_VERSION_NUM}")
  include(CPack)

  include(DeployQt4)
  install_qt4_executable(${PROGNAME}.app "qjpeg;qgif;qico;qtaccessiblewidgets")
endif()

if(MINGW AND NOT (${CMAKE_VERSION} VERSION_LESS 2.8.8))
  set(CPACK_GENERATOR "ZIP")
  set(CPACK_STRIP_FILES ON)
  set(CPACK_PACKAGE_FILE_NAME "${PROGNAME}-${KEEPASSX_VERSION_NUM}")
  include(CPack)

  include(DeployQt4)
  install_qt4_executable(${PROGNAME}.exe "qjpeg;qgif;qico;qtaccessiblewidgets")
endif()

=== share/translations/CMakeLists.txt ===
#  Copyright (C) 2014 Felix Geyer <debfx@fobos.de>
#
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 2 or (at your option)
#  version 3 of the License.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.

file(GLOB TRANSLATION_FILES *.ts)
get_filename_component(TRANSLATION_EN_ABS keepassx_en.ts ABSOLUTE)
list(REMOVE_ITEM TRANSLATION_FILES keepassx_en.ts)
list(REMOVE_ITEM TRANSLATION_FILES ${TRANSLATION_EN_ABS})
message(STATUS ${TRANSLATION_FILES})

qt4_add_translation(QM_FILES ${TRANSLATION_FILES})

install(FILES ${QM_FILES} DESTINATION ${DATA_INSTALL_DIR}/translations)
add_custom_target(translations DEPENDS ${QM_FILES})
add_dependencies(${PROGNAME} translations)

=== debian/changelog ===
keepassx (2.0.2-1) unstable; urgency=medium

  * New upstream release. (Closes: #813608)
  * d/control: Point Vcs-* to the new git repo.
  * Update watch file.

 -- Felix Geyer <fgeyer@debian.org>  Thu, 04 Feb 2016 21:47:37 +0100

keepassx (2.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #707634)
    - Completely rewritten compared to 0.x series
      (closes: #707634, #685533, #714357, #763083, #791858)
    - pronouncable password generator has been dropped (closes: #645499)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 09 Jan 2016 19:24:30 -0500

keepassx (2.0~beta2-1) experimental; urgency=medium

  * New upstream beta release.

 -- Felix Geyer <fgeyer@debian.org>  Fri, 11 Sep 2015 23:55:20 +0200

keepassx (2.0~beta1-1) experimental; urgency=medium

  * New upstream beta release.
  * Update copyright file.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 19 Jul 2015 20:49:14 +0200

keepassx (2.0~alpha6-1) experimental; urgency=medium

  * New upstream alpha release.
    - Supports the .kdbx (KeePass 2) file format.
  * Drop fix_ftbfs_gcc47.diff, not needed anymore.
  * Switch debian/rules to use cmake and run unit tests.
  * Redo debian/copyright.
  * Update watch file.

 -- Felix Geyer <fgeyer@debian.org>  Fri, 15 Aug 2014 00:00:01 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/architecture.mk

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DWITH_GUI_TESTS=ON -DWITH_CXX11=ON

override_dh_auto_test:
	dh_auto_test -- ARGS+="-E testgui"
	xvfb-run -a --server-args="-screen 0 800x600x24" dh_auto_test -- ARGS+="-R testgui"

override_dh_makeshlibs:
	# keepassx only ships plugins
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/keepassx
